QT -= core
QT -= gui

CONFIG   += console
CONFIG   -= app_bundle

TEMPLATE = app

TARGET = WebcamMonitoring

DEFINES -= UNICODE
win32:CONFIG(debug, debug|release) {
 DEFINES += WIN32 _DEBUG _CONSOLE
}
else {
 DEFINES += WIN32 NDEBUG _CONSOLE
}

INCLUDEPATH += . 
win32:INCLUDEPATH += $$(SystemDrive)\OpenCV2.3\include

win32:LIBS += -L$$(SystemDrive)\OpenCV2.3\x86\vc9\lib
win32 {
 CONFIG(debug, debug|release) {
  LIBS += -lopencv_calib3d230d -lopencv_contrib230d -lopencv_core230d -lopencv_features2d230d -lopencv_flann230d -lopencv_gpu230d -lopencv_haartraining_engined -lopencv_highgui230d -lopencv_imgproc230d -lopencv_legacy230d -lopencv_ml230d -lopencv_objdetect230d -lopencv_video230d
 }
 else {
  LIBS += -lopencv_calib3d230 -lopencv_contrib230 -lopencv_core230 -lopencv_features2d230 -lopencv_flann230 -lopencv_gpu230 -lopencv_haartraining_engine -lopencv_highgui230 -lopencv_imgproc230 -lopencv_legacy230 -lopencv_ml230 -lopencv_objdetect230 -lopencv_video230
 }
}
else {
 LIBS += -lopencv_core -lopencv_imgproc -lopencv_calib3d -lopencv_video -lopencv_features2d -lopencv_ml -lopencv_highgui -lopencv_objdetect -lopencv_contrib -lopencv_legacy
}

#LIBS = -L../lib -llib

HEADERS += \
    Utils.h

SOURCES += \
    Utils.cpp

SOURCES += \
    Main.cpp
